Get the authenticated user Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/me

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      The user type

    • first_name string

      First name of the user

    • last_name string

      Last name of the user

    • name string

      Name of the user

    • email string

      Email of the user

    • photo_url string

      The photo URL of the user.

    • current_account object

      The current account log in of the user (if included)

      Hide current_account attributes Show current_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • current_login object

      The current account log in of the user (if included)

      Hide current_login attributes Show current_login attributes object
      • uuid string
      • created_at string
      • updated_at string
      • expires_at string
      • has_write_permission boolean
      • has_delete_permission boolean
      • primary boolean
      • receives_unread_notifications_email boolean
      • wealth_enabled boolean
      • goals_enabled boolean
      • factfind_enabled boolean
      • tasks_enabled boolean
      • welcome_enabled boolean
      • first_name string
      • last_name string
      • email string
      • user_type string
      • account string
      • firm string
      • is_impersonated boolean
    • two_factor_enabled boolean

      Denotes if the two factor authentication has been enabled.

    • two_factor_type string

      The type of two factor enabled.

    • otp_confirmed_at string

      The date when OTP two factor was confirmed

    • otp_pending boolean

      Denotes if the OTP two factor is pending

    • sms_two_factor_enabled boolean

      Denotes if the SMS two factor is enabled

    • two_factor_mobile boolean

      The E.164 mobile phone used for two factor authentication.

    • two_factor_mobile_meta object

      If the two_factor_mobile is present, this additional field will be displayed giving you information about the phone number.

      Hide two_factor_mobile_meta attributes Show two_factor_mobile_meta attributes object
      • country string
      • formatted string
    • current_time_entry object

      The current time entry if a timer is running

      Hide current_time_entry attributes Show current_time_entry attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • trackable_type string
      • trackable string
      • start_date string
      • end_date string
      • is_active boolean
      • total_time_in_minutes integer
      • computed_time_elapsed_in_seconds integer
      • account string
    • session_expires_at string

      The session expiry time if signed in via the front-end.

    • remember_token_expires_at boolean

      Denotes when the users "remember me" token expires.

    • should_auto_save_notes boolean

      Denotes if the user wants to use the auto-save notes feature. Can reduce browser performance on low-powered machines.

GET /api/v1/me
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/me' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "cf66d45b-9e88-41b0-8c7f-32a8549b4685",
  "created_at": "2026-06-08T16:08:01+01:00",
  "updated_at": "2026-06-08T16:08:01+01:00",
  "type": "standard",
  "first_name": "Gareth",
  "last_name": "Thompson",
  "name": "Gareth Thompson",
  "email": "gareth@codepotato.co.uk",
  "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
  "current_account": {
    "uuid": "905d7855-cbc6-4ea2-9b37-e00e398ceee4",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:01+01:00",
    "next_review_date": "2026-06-08T16:08:01+01:00",
    "previous_review_date": "2026-06-08T16:08:01+01:00",
    "anniversary_review_date": "2026-06-08T16:08:01+01:00",
    "terms_of_business_at": "2026-06-08T16:08:01+01:00",
    "client_agreement_at": "2026-06-08T16:08:01+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:01",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "current_login": {
    "uuid": "a6103e33-6433-4e7e-b783-920ed5e5dd27",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "expires_at": "2026-09-16T16:08:01+01:00",
    "has_write_permission": false,
    "has_delete_permission": false,
    "primary": false,
    "receives_unread_notifications_email": true,
    "wealth_enabled": true,
    "goals_enabled": true,
    "factfind_enabled": true,
    "tasks_enabled": true,
    "welcome_enabled": true,
    "first_name": "Gareth",
    "last_name": "Thompson",
    "email": "gareth@plannrcrm.com",
    "user_type": "standard",
    "account": "App\\Http\\Resources\\AccountResource",
    "firm": "App\\Http\\Resources\\FirmResource",
    "is_impersonated": false
  },
  "two_factor_enabled": true,
  "two_factor_type": "sms",
  "otp_confirmed_at": "2026-06-08T16:08:01+01:00",
  "otp_pending": false,
  "sms_two_factor_enabled": true,
  "two_factor_mobile": true,
  "two_factor_mobile_meta": {
    "country": "GB",
    "formatted": "0333 090 3630"
  },
  "current_time_entry": {
    "uuid": "06740ffe-2aaa-4e57-a678-dfee1973706d",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "name": "Research",
    "description": "This is a description.",
    "trackable_type": "Client",
    "trackable": "App\\Http\\Resources\\MinimalAccountResource",
    "start_date": "2026-06-08T15:18:01+01:00",
    "end_date": "2026-06-08T15:46:01+01:00",
    "is_active": true,
    "total_time_in_minutes": 28,
    "computed_time_elapsed_in_seconds": 1680,
    "account": "App\\Http\\Resources\\MinimalAccountResource"
  },
  "session_expires_at": "2026-06-08T16:08:01+01:00",
  "remember_token_expires_at": true,
  "should_auto_save_notes": true
}